Insert Image

 

Olá a todos!

Estou tentando inserir uma imagem via programação.

Poderiam me ajudar nesta tarefa?

Consultei o Help do Solid Edge e encontrei:

Images2d

mk:@MSITStore:C:\Arquivos%20de%20programas\Solid%20Edge%20ST\SDK\sesdk.chm::/html/e3bb216f-6de2-693f-16a1-fce614e7f719.htm

Não consegui avançar na construção.

Dim objImage As SolidEdgeFrameworkSupport.Image2d

Dim objImages As SolidEdgeFrameworkSupport.Images2d

objImages.AddImage("", "")

Grato

Edson Jesus

Hello everyone!

I'm trying to insert an image programmatically.

Could help me in this task?

I consulted the Help of Solid Edge and found:

 

Images2d

I could not move forward in building.

 

Dim objImage As SolidEdgeFrameworkSupport.Image2d

Dim objImages As SolidEdgeFrameworkSupport.Images2d

objImages.AddImage("", "")

mk:@MSITStore:C:\Arquivos%20de%20programas\Solid%20Edge%20ST\SDK\sesdk.chm::/html/e3bb216f-6de2-693f-16a1-fce614e7f719.htm

 

 

Grateful

 

Edson Jesus

 

Posted by: Edson Silva de Jesus
Post date: 6/4/2010 5:28:21 AM

4 REPLIES

RE: Insert Image

Do you want insert a image in PartProfile?

 

 

Posted by: JR
Post date: 6/7/2010 1:39:06 AM

RE: Insert Image

Acredito não ter sido tão claro, me desculpe.

A idéia é inserir uma imagem em ambiente drawing (draft).

 

I believe it was not so clear, sorry.

The idea is to insert a picture into drawing environment (draft).

 

Grato

 

Edson

 

Posted by: Edson Silva de Jesus
Post date: 6/7/2010 2:54:38 AM

RE: Insert Image

AddImage and Image2d is only for Part/SheetMetal

If you want insert a picture into draft, you can use Cipboard or SmartFrame2d.

For SmartFrame2d you must create a SmartFrame2d on the Sheet and insert the image with CreateEmbed(FileName) or CreateLink(FileName).

 

Regards

JR

 

Posted by: JR
Post date: 6/7/2010 9:02:25 PM

RE: Insert Image

Good morning!

After we had much struggle, I found a solution to the problem with inserting images.

Follows the work:

 

Dim oSymbol As SolidEdgeFramework.Symbol2d

objDraft = objApplication.ActiveDocument

For Each Sht In objDraft.ActiveSection.Sheets

objBackground = objDraft.Sections.BackgroundSection.Sheets.Item("A4-Sheet")

'||||||||||||||||(Symbols)|||||||||||||||||||||

oSymbol = objBackground.Symbols.Add(SolidEdgeConstants.OLEInsertionTypeConstant.igOLEEmbedded, "C:\Leg_A4.dft", 0, 0)

 

Thanks

Edson Jesus

 

Posted by: Edson Silva de Jesus
Post date: 6/8/2010 1:42:55 AM